Requirements to add JAVA JRE to LE master repo?

  • @devs: i am currently try to add jre based on openjdk. As Kodi is supporting bd-j menus now this is also the main reason. Some other addons may also have a benefit of it.


    i want to hear from you to clarify what are the requirments to be able to add a jre add on to official LE. My plan is:


    - libblueray enable bdjava which requires apache ant. This would build also the libbluray.jar. i think this should also added to image as std lib and jar depends on each other (same version).

    - apache ant build from scretch. (using host lib is already working) -> is it really necessary?

    - building openjdk from source (not working yet, using prebuild tar)

    - building jre with openjdk. (not working yet, using prebuild tar)

    - jre needs some X libs to be functioinal with awt. Xi,Xtst;Xrender -> currently i am building it analogue like for chrome browser.


    what are your thoughts?

    Edited once, last by dreamer ().

  • Probably adding libblueray*.jar to image is good idea because versions changed.

    I didn't use apache ant from host (no idea why not). Probably could be used.

    Is building jdk and jre from source really needed if there is already prebuild binary? It is waste of time to be build. Can any be distributed with addon or must be distributed as separate addon? Or not even re-distributed in any way but downloaded from official source.

    Blu-ray Disc Java menus support - forum thread, Github

    my lamp addon (unofficial/community) (limited no support)
    my touchscreen support and instructions by Grruhn (now touchscreen addon exists in repository)

  • as i mentioned the lib and jar depends on each other. different versions should cause errors.


    why not using pre build bins? very easy to answer: you know what is inside. the current addon i have build with prebuild jre is 80 mb in size. hopefully this can be reduced. Also some dependecies can be reduced due the fact that we don't have any control about the pre build bins. also one point: we can build jre for all archs we need: x86_64, arm, aarch64.

    and also the prebuild bins are available only for a short time. ant for example is not for download anymore in version 10.2.

  • Yes, their versions depends on each other.


    Anyway, my contribution to this subject was strictly for research purpose :)

    Blu-ray Disc Java menus support - forum thread, Github

    my lamp addon (unofficial/community) (limited no support)
    my touchscreen support and instructions by Grruhn (now touchscreen addon exists in repository)